# NetException

open class NetException(request: Request, message: String?, cause: Throwable?) : IOException
Content copied to clipboard

Net网络异常

## Parameters

message

异常信息

## Constructors

NetException
Link copied to clipboard
fun NetException(request: Request, message: String? = null, cause: Throwable? = null)
Content copied to clipboard
异常信息

## Functions

getLocalizedMessage
Link copied to clipboard
open override fun getLocalizedMessage(): String?
Content copied to clipboard

## Properties

request
Link copied to clipboard
open val request: Request
Content copied to clipboard

## Inheritors

HttpFailureException
Link copied to clipboard
HttpResponseException
Link copied to clipboard
NoCacheException
Link copied to clipboard